PHP5 with sqlite2 instead of sqlite1

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!


PHP ver. 5.2.3. I installed sqlite by issuing: pecl install sqlite.
Unfortunately, in this way I have sqlite ver. 1, but I want to have
sqlite2 (obiect-oriented) which is not in the pecl repository.

So i decided to compile sqlite2 by myself. I went to the extension's
source directory and issued:

1. phpize
2. ./configure --with-sqlite=shared
3. make

Make told that now I have placed i /modules. OK, fine. The
problem is, that when I want to load that in php.ini, PHP
says: Invalid library (maybe not a PHP library)).

What am I doing wrong, or where can I download sqlite2 that would work
with PHP?


Site Timeline